import { OffsetRange } from "./offsetRange.js";
import { Range } from "./range.js";
export declare class ColumnRange {
    readonly startColumn: number;
    readonly endColumnExclusive: number;
    static fromOffsetRange(offsetRange: OffsetRange): ColumnRange;
    constructor(startColumn: number, endColumnExclusive: number);
    toRange(lineNumber: number): Range;
    equals(other: ColumnRange): boolean;
    toZeroBasedOffsetRange(): OffsetRange;
}
